cascading

## Class FieldedPipesPlatformTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - cascading.CascadingTestCase
      - - cascading.PlatformTestCase
        - - cascading.FieldedPipesPlatformTest

All Implemented Interfaces:
  java.io.Serializable, junit.framework.Test

    public class FieldedPipesPlatformTest
    extends PlatformTestCase

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `FieldedPipesPlatformTest.LowerComparator`

### Field Summary

### Fields inherited from class cascading.CascadingTestCase

`name, ROOT_OUTPUT_PATH, ROOT_PLAN_PATH, TEST_TRACEPLAN_ENABLED`

### Constructor Summary

Constructors
Constructor and Description
`FieldedPipesPlatformTest()`

### Method Summary

Methods
`void` `testChainEndingWithEach()`
`void` `testConcatenation()`
`void` `testCopy()`
`void` `testFilter()`
`void` `testFilterAll()` Intentionally filters all values out to test next mr job behaves
`void` `testFilterComplex()`
`void` `testGeneratorAggregator()`
`void` `testGroupByInsensitive()`
`void` `testGroupGroup()` Catches failure to properly resolve the grouping fields as incoming to the second group-by
`void` `testLogicFilter()`
`void` `testNoGroup()`
`void` `testNone()`
`void` `testReplace()`
`void` `testSameSourceMerge()`
`void` `testSameSourceMergeThreeChainGroup()` same test as MergePipesTest, but to test that chained groupby don't exhibit similar failures
`void` `testSimpleChain()`
`void` `testSimpleGroup()`
`void` `testSimpleMerge()`
`void` `testSimpleMergeThree()` Specifically tests GroupBy will return the correct grouping fields to the following Every additionally tests secondary sorting during merging
`void` `testSplit()`
`void` `testSplitComplex()`
`void` `testSplitMultiple()`
`void` `testSplitNonSafe()` verifies non-safe rules apply in the proper place
`void` `testSplitOut()` verifies not inserting Identity between groups works
`void` `testSplitSameSourceMerged()`
`void` `testSplitSameSourceMergedSameName()` this tests a merge on two pipes with the same source and name.
`void` `testSwap()`
`void` `testUnGroup()`
`void` `testUnGroupAnon()`
`void` `testUnGroupBySize()`

### Methods inherited from class cascading.PlatformTestCase

`copyFromLocal, disableDebug, getOutputPath, getOutputPathElements, getPlanPathElements, getPlatform, getPlatformName, getProperties, installPlatform, makeOutputPath, setUp, tearDown`

### Methods inherited from class cascading.CascadingTestCase

`asCollection, asCollection, asCollection, asCollection, asList, asList, asSet, asSet, getOutputPath, getPlanPath, getSinkAsList, getSourceAsList, getTestCaseName, getTestName, getTestOutputRoot, getTestPlanRoot, invokeAggregator, invokeAggregator, invokeAggregator, invokeAggregator, invokeAggregator, invokeAggregator, invokeBuffer, invokeBuffer, invokeBuffer, invokeBuffer, invokeBuffer, invokeBuffer, invokeFilter, invokeFilter, invokeFilter, invokeFilter, invokeFilter, invokeFilter, invokeFilter, invokeFilter, invokeFunction, invokeFunction, invokeFunction, invokeFunction, invokeFunction, invokeFunction, invokeFunction, invokeFunction, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FieldedPipesPlatformTest

    public FieldedPipesPlatformTest()

### Method Detail

#### testSimpleGroup

    public void testSimpleGroup()
                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSimpleChain

    public void testSimpleChain()
                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testChainEndingWithEach

    public void testChainEndingWithEach()
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testNoGroup

    public void testNoGroup()
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testCopy

    public void testCopy()
                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSimpleMerge

    public void testSimpleMerge()
                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSimpleMergeThree

    public void testSimpleMergeThree()
                              throws java.lang.Exception

Specifically tests GroupBy will return the correct grouping fields to the following Every

additionally tests secondary sorting during merging

Throws:
  `java.lang.Exception`

#### testSameSourceMerge

    public void testSameSourceMerge()
                             throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSameSourceMergeThreeChainGroup

    public void testSameSourceMergeThreeChainGroup()
                                            throws java.lang.Exception

same test as MergePipesTest, but to test that chained groupby don't exhibit similar failures

Throws:
  `java.lang.Exception`

#### testUnGroup

    public void testUnGroup()
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testUnGroupAnon

    public void testUnGroupAnon()
                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testUnGroupBySize

    public void testUnGroupBySize()
                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testFilter

    public void testFilter()
                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testLogicFilter

    public void testLogicFilter()
                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testFilterComplex

    public void testFilterComplex()
                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testFilterAll

    public void testFilterAll()
                       throws java.lang.Exception

Intentionally filters all values out to test next mr job behaves

Throws:
  `java.lang.Exception`

#### testSplit

    public void testSplit()
                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSplitNonSafe

    public void testSplitNonSafe()
                          throws java.lang.Exception

verifies non-safe rules apply in the proper place

Throws:
  `java.lang.Exception`

#### testSplitSameSourceMerged

    public void testSplitSameSourceMerged()
                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSplitOut

    public void testSplitOut()
                      throws java.lang.Exception

verifies not inserting Identity between groups works

Throws:
  `java.lang.Exception`

#### testSplitComplex

    public void testSplitComplex()
                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSplitMultiple

    public void testSplitMultiple()
                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testConcatenation

    public void testConcatenation()
                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testGeneratorAggregator

    public void testGeneratorAggregator()
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testReplace

    public void testReplace()
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSwap

    public void testSwap()
                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testNone

    public void testNone()
                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSplitSameSourceMergedSameName

    public void testSplitSameSourceMergedSameName()
                                           throws java.lang.Exception

this tests a merge on two pipes with the same source and name.

Throws:
  `java.lang.Exception`

#### testGroupGroup

    public void testGroupGroup()
                        throws java.lang.Exception

Catches failure to properly resolve the grouping fields as incoming to the second group-by

Throws:
  `java.lang.Exception`

#### testGroupByInsensitive

    public void testGroupByInsensitive()
                                throws java.lang.Exception

Throws:
  `java.lang.Exception`